Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-cmake rpm-macros-fedora-compat
BuildRequires: qt6-base-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# Force out of source build
%undefine __cmake_in_source_build

Name: ampache_browser

# Lib and several dirs use this derived name. A change of this name
# is likely to break API users due to not finding files any longer.
%global vername %{name}_1

Version: 1.0.7
Release: alt1_3
Summary: C++ and Qt based client library for Ampache access

License: GPLv3
URL: http://ampache-browser.org
Source0: https://github.com/ampache-browser/ampache_browser/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires: ctest cmake
%if 0%{?rhel} && 0%{?rhel} < 8
BuildRequires: ccmake cmake ctest
%endif
BuildRequires: gcc-c++
BuildRequires: qt5-base-devel
Source44: import.info

%description
Ampache Browser is a library that implements desktop client access to
the Ampache service (http://ampache.org). It provides end-user Qt UI and
has a simple C++ interface that allows easy integration into client
applications.

%package        devel
Group: Other
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q



%build
%if 0%{?rhel} && 0%{?rhel} < 8
%global cmake %{fedora_v2_cmake3}
%global cmake_build %fedora_v2_cmake3_build
%global cmake_install %fedora_v2_cmake3_install
# Simplified https://github.com/ampache-browser/ampache_browser/pull/7
sed -e 's/Qt::/Qt5::/g' -i CMakeLists.txt
%endif

%{fedora_v2_cmake} -D USE_QT6=OFF .
%fedora_v2_cmake_build


%install
%fedora_v2_cmake_install

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'





%files
%doc --no-dereference COPYING
%doc AUTHORS NEWS README.md
%{_libdir}/lib%{vername}.so.*

%files devel
%dir %{_includedir}/%{vername}
%{_includedir}/%{vername}/%{name}/
%{_libdir}/lib%{vername}.so
%{_libdir}/pkgconfig/%{vername}.pc
%{_libdir}/cmake/%{vername}

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.0.7-alt1_3
- update to new release by fcimport

* Fri Dec 01 2023 Igor Vlasenko <viy@altlinux.org> 1.0.6-alt1_1
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.0.4-alt1_3
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.0.4-alt1_2
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt1_5
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt1_4
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt1_3
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.0.3-alt1_2
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt2_7
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_7
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_6
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_5
- update to new release by fcimport

* Sun Sep 29 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.2-alt1_3
- new version

